Step 2 - Check the Transaction History Job Status
Overview
After creating an Transaction History Job, you'll want to track its status to know when it's complete and what next steps (if any) are needed from your application or end user. There are two ways to do this — subscribing to webhooks is the recommended approach.
Recommended: Subscribe to webhooks
Subscribe to Aerosync webhooks to be notified of job status updates automatically. When a webhook arrives with a completed status, you can proceed to retrieve the job details.
You'll also receive a pending_mfa webhook if the job requires MFA — see the Handle MFA step for that flow.
See Events you can subscribe to for the full list of events and statuses.
Alternative: Check the job status directly
If you want a backup for reconciliation, you can retrieve the job's current status directly via the GET endpoint below.
HTTP Request
Sandbox - GET https://api.sandbox.aerosync.com/v2/accounts/{connectionId}/job/{job_id}
Production - GET https://api.aerosync.com/v2/accounts/{connectionId}/job/{job_id}
Path Parameters
| Parameter | Required? | Type | Description |
|---|---|---|---|
| job_id | Yes | String | An Transaction History Job's unique identifier |
| connectionId | Yes | String | Aerosync-specific connectionId received from the SDK onSuccess |
Request and Response
GET https://api.sandbox.aerosync.com/v2/accounts/{connectionId}/job/{job_id}
Authorization: Bearer {{token}}
{
"status": "success",
"statusCode": 200,
"jobStatus": "Pending MFA",
"mfaTriggered": true,
"jobId": "REF-bbf8443534ef4c5a9b5e3ca08824bc5c",
"userId": "e51b864b6f3148e6accc4e65363b1322",
"connectionId": "e51b864b6f3148e6accc4e65363b1322"
}Updated about 1 month ago